using System;
using UnityEngine;

public class AcquiredSkillUnit : MonoBehaviour
{
	private void Awake()
	{
		this.bg_sprite_ = UTY.GetChildObject(base.gameObject, "BGGray", false).GetComponent<UISprite>();
		this.label_ = UTY.GetChildObject(base.gameObject, "Name", false).GetComponent<UILabel>();
	}

	public void SetActive(bool value)
	{
		base.gameObject.SetActive(value);
	}

	public bool IsActive()
	{
		return base.gameObject.activeSelf;
	}

	public void SetBGVisible(bool value)
	{
		this.bg_sprite_.enabled = value;
	}

	public bool IsBGVisible()
	{
		return this.bg_sprite_.enabled;
	}

	public void SetText(string text)
	{
		this.label_.text = text;
	}

	private UISprite bg_sprite_;

	private UILabel label_;
}
